Debian Bug report logs - #717879
ITP: libxmp -- backend library for the Extended Module Player

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonathan <jon@dorsal.tk>

Date: Thu, 25 Jul 2013 16:30:02 UTC

Owned by: Stephen Kitt <skitt@debian.org>

Severity: wishlist

Fixed in version libxmp/4.2.0+dfsg-2

Done: Stephen Kitt <skitt@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jonathan.w.lane@gmail.com, Debian QA Group <packages@qa.debian.org>:
Bug#717855; Package xmp. (Thu, 25 Jul 2013 16:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan <jon@dorsal.tk>:
New Bug report received and forwarded. Copy sent to jonathan.w.lane@gmail.com, Debian QA Group <packages@qa.debian.org>. (Thu, 25 Jul 2013 16:30:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan <jon@dorsal.tk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xmp: please update to xmp 4.x and libxmp
Date: Thu, 25 Jul 2013 12:28:11 -0400
Package: xmp
Version: 3.4.0-3
Severity: wishlist

Dear Maintainer,

XMP has been rewritten and now supports a much greater range of formats
and archive methods, including lzh and lha archives from the Amiga.
Please consider updating xmp and related packages to the new upstream
versions.  They are still available at xmp.sourceforge.net.


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.10-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xmp depends on:
ii  libasound2  1.0.27.2-1
ii  libc6       2.17-7
ii  libpulse0   4.0-6
ii  xmp-common  3.4.0-3

Versions of packages xmp recommends:
ii  unmo3  0.6-1

Versions of packages xmp suggests:
pn  lha  <none>

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#717855; Package xmp. (Thu, 25 Jul 2013 23:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Thu, 25 Jul 2013 23:30:04 GMT) Full text and rfc822 format available.

Message #10 received at 717855@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Jonathan <jon@dorsal.tk>, 717855@bugs.debian.org
Cc: skitt@debian.org
Subject: Re: Bug#717855: xmp: please update to xmp 4.x and libxmp
Date: Fri, 26 Jul 2013 01:27:46 +0200
Control: clone -1 -2
Control: reassign -2 wnpp
Control: retitle -2 RFP: libxmp -- backend library for the Extended Module Player
Control: block -1 by -2

* Package name    : libxmp
  Version         : 4.1.5
  Upstream Author : Claudio Matsuoka and Hipolito Carraro Jr
* URL or Web page : http://xmp.sourceforge.net/
* License         : LGPL
  Description     : backend library for the Extended Module Player

Jonathan wrote:
> XMP has been rewritten and now supports a much greater range of formats
> and archive methods, including lzh and lha archives from the Amiga.
> Please consider updating xmp and related packages to the new upstream
> versions.  They are still available at xmp.sourceforge.net.

xmp seems to have been split up. The xmp frontend now requires the
libxmp library which needs to be packaged seperately first. Hence
cloning this bug-report into an RFP.

The Debian QA team likely won't package new software just to continue
packaging an orphaned package.

But since someone intents to adopt xmp, I suspect libxmp will find
someone to package it, too. See http://bugs.debian.org/691840 for the
xmp adoption intention.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Bug 717855 cloned as bug 717879 Request was from Axel Beckert <abe@debian.org> to 717855-submit@bugs.debian.org. (Thu, 25 Jul 2013 23:30:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'xmp' to 'wnpp'. Request was from Axel Beckert <abe@debian.org> to 717855-submit@bugs.debian.org. (Thu, 25 Jul 2013 23:30:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions xmp/3.4.0-3. Request was from Axel Beckert <abe@debian.org> to 717855-submit@bugs.debian.org. (Thu, 25 Jul 2013 23:30:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: libxmp -- backend library for the Extended Module Player' from 'xmp: please update to xmp 4.x and libxmp' Request was from Axel Beckert <abe@debian.org> to 717855-submit@bugs.debian.org. (Thu, 25 Jul 2013 23:30:07 GMT) Full text and rfc822 format available.

Added indication that bug 717879 blocks 717855 Request was from Axel Beckert <abe@debian.org> to 717855-submit@bugs.debian.org. (Thu, 25 Jul 2013 23:30:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#717879; Package wnpp. (Fri, 26 Jul 2013 05:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <skitt@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 26 Jul 2013 05:15:10 GMT) Full text and rfc822 format available.

Message #25 received at 717879@bugs.debian.org (full text, mbox):

From: Stephen Kitt <skitt@debian.org>
To: Axel Beckert <abe@debian.org>
Cc: Jonathan <jon@dorsal.tk>, 717855@bugs.debian.org, 691840@bugs.debian.org, 717879@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#717855: xmp: please update to xmp 4.x and libxmp
Date: Fri, 26 Jul 2013 07:11:49 +0200
[Message part 1 (text/plain, inline)]
retitle 717879 ITP: libxmp -- backend library for the Extended Module Player
owner 717879 !
thanks

Hi,

On Fri, 26 Jul 2013 01:27:46 +0200, Axel Beckert <abe@debian.org> wrote:
> Jonathan wrote:
> > XMP has been rewritten and now supports a much greater range of formats
> > and archive methods, including lzh and lha archives from the Amiga.
> > Please consider updating xmp and related packages to the new upstream
> > versions.  They are still available at xmp.sourceforge.net.
> 
> xmp seems to have been split up. The xmp frontend now requires the
> libxmp library which needs to be packaged seperately first. Hence
> cloning this bug-report into an RFP.
> 
> The Debian QA team likely won't package new software just to continue
> packaging an orphaned package.
> 
> But since someone intents to adopt xmp, I suspect libxmp will find
> someone to package it, too. See http://bugs.debian.org/691840 for the
> xmp adoption intention.

Indeed, I'm packaging libxmp to go along with the new version of xmp. I'm
currently waiting on some licence clarification from upstream.

Regards,

Stephen
[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'ITP: libxmp -- backend library for the Extended Module Player' from 'RFP: libxmp -- backend library for the Extended Module Player' Request was from Stephen Kitt <skitt@debian.org> to control@bugs.debian.org. (Fri, 26 Jul 2013 05:15:13 GMT) Full text and rfc822 format available.

Owner recorded as Stephen Kitt <skitt@debian.org>. Request was from Stephen Kitt <skitt@debian.org> to control@bugs.debian.org. (Fri, 26 Jul 2013 05:15:14 GMT) Full text and rfc822 format available.

Reply sent to Stephen Kitt <skitt@debian.org>:
You have taken responsibility. (Sun, 01 Dec 2013 18:39:13 GMT) Full text and rfc822 format available.

Notification sent to Jonathan <jon@dorsal.tk>:
Bug acknowledged by developer. (Sun, 01 Dec 2013 18:39:13 GMT) Full text and rfc822 format available.

Message #34 received at 717879-close@bugs.debian.org (full text, mbox):

From: Stephen Kitt <skitt@debian.org>
To: 717879-close@bugs.debian.org
Subject: Bug#717879: fixed in libxmp 4.2.0+dfsg-2
Date: Sun, 01 Dec 2013 18:34:03 +0000
Source: libxmp
Source-Version: 4.2.0+dfsg-2

We believe that the bug you reported is fixed in the latest version of
libxmp, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 717879@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Kitt <skitt@debian.org> (supplier of updated libxmp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 01 Dec 2013 19:13:48 +0100
Source: libxmp
Binary: libxmp4 libxmp-dev
Architecture: source amd64
Version: 4.2.0+dfsg-2
Distribution: unstable
Urgency: low
Maintainer: Stephen Kitt <skitt@debian.org>
Changed-By: Stephen Kitt <skitt@debian.org>
Description: 
 libxmp-dev - module file rendering library -- development files
 libxmp4    - module file rendering library
Closes: 717879
Changes: 
 libxmp (4.2.0+dfsg-2) unstable; urgency=low
 .
   * Install the provided documentation.
   * Recommend unmo3 and suggest lha here, since it's the library which
     uses them.
   * Standards-Version 3.9.5, no change required.
 .
 libxmp (4.2.0+dfsg-1) unstable; urgency=low
 .
   * Initial release (closes: #717879).
Checksums-Sha1: 
 199f4d208079445ed21995bc7053d10f17b9e4a3 1775 libxmp_4.2.0+dfsg-2.dsc
 a6056b2bf72a2833bc5e51209322ff1c471fc234 5403 libxmp_4.2.0+dfsg-2.debian.tar.gz
 19de3f4adb5a97ad54fc9f30b5dea0bcc16363bb 235758 libxmp4_4.2.0+dfsg-2_amd64.deb
 4fd8751ee6e8c2f78db38c67b857b2ec51a24098 102528 libxmp-dev_4.2.0+dfsg-2_amd64.deb
Checksums-Sha256: 
 c5e2ade919185c4bbd80d3562230d6415c26264aa3a8194bac85718208006dfa 1775 libxmp_4.2.0+dfsg-2.dsc
 51a31251293e5890ab75d86d70172e02ba88d22cf6de6bd03991cb7ba12d6402 5403 libxmp_4.2.0+dfsg-2.debian.tar.gz
 ea8765ed292ace4c8b21e5a7583a4a0caecbfc94cbe258b8b2a8938056cc79b2 235758 libxmp4_4.2.0+dfsg-2_amd64.deb
 1deb78b514496d9aa4ce8ba9bf8d9e4ede857661bec05bc2e2db5838cf4c2403 102528 libxmp-dev_4.2.0+dfsg-2_amd64.deb
Files: 
 8a24865b185634478ae52d44153ff387 1775 libs optional libxmp_4.2.0+dfsg-2.dsc
 8e610c62bb4b5f2ecfb7cef231b35af6 5403 libs optional libxmp_4.2.0+dfsg-2.debian.tar.gz
 89d2e01f2d93d02808a4b7a0295beb5a 235758 libs optional libxmp4_4.2.0+dfsg-2_amd64.deb
 6b6fc6af3c22b3728cd0ce60ac920aba 102528 libdevel optional libxmp-dev_4.2.0+dfsg-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSm30kAAoJEHWXeKmja0lP2TEP/jlD4MWG7cHEJbKLE19pRV4/
X3Hdnq8S7zN5rl4uSGSc+FYb4q+GyA9vQQhJEy4QF1fV/WqWgcGgeMm71g5cpual
mC+xsGHcNAnHDyW7qGK8j1ztNjFa6WbmRoG/LysAU6mHQW4cJbo0l8O2iM9DoMgg
e5ylCXqxBVYMGcNexsc7l0CiOvDwldvPNWt9o8J54Agfj963GUvATOw36yjWjznl
hBwrn82gKeGfz18yGBF4Dn6c6XJHi5pJ9PHvNTJHfegB5J433pUsGNWP/9832GoV
LjkSJ/HDc/+yUnsDa7RumFe9FF1X67wllRNNVxvoUtNM1RIp2Gpz3Y6jIYWYKAQP
x6fHhTO6CbTUDreAolwUwmxINPk6kgJgLUZSz9HDQDknyFpHz275ajkW0ZdjMD3K
fk5whT70f1RnCxcQ48HRAZvEuaoYTvRVd7UZrNkFctiUvSCGoPqOvEPlfuEUbggX
kOk6eQ5XiQH9Wzw17mN3tgsKukao2aN2XRZtk4QUQlhqoJlKy4+panlJlEt9jaW+
/ufeGKqVLPSyrf8gZpbhnYMLfKhosATghHnUNeM3lZD9s9hpmfJ6mFwPUkUVSz0y
I4c3py/PtpY2rwo8wh0MWcWmEdoP+Z/pxYtap595tudlpHlrqxRCNX/6ZsaaecmR
hN2ubYGArVRNVvHq3b8B
=zpq2
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 Dec 2013 07:31:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:59:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.